Package org.opensaml.xacml.policy

# Interface IdReferenceType

All Superinterfaces:
  `XACMLObject`, `XMLObject`, `XSString`

All Known Implementing Classes:
  `IdReferenceTypeImpl`

public interface IdReferenceType extends XACMLObject, XSString
XACML IdReference schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EARLIEST_VERSION_ATTRIB_NAME`
EarliestVersion attribute name.
`static final String`
`LATEST_VERSION_ATTRIB_NAME`
LatestVersion attribute name.
`static final String`
`POLICY_ID_REFERENCE_ELEMENT_LOCAL_NAME`
Local name of the element PolicyIdReference.
`static final QName`
`POLICY_ID_REFERENCE_ELEMENT_NAME`
QName of the element PolicyIdReference.
`static final String`
`POLICY_SET_ID_REFERENCE_ELEMENT_LOCAL_NAME`
Local name of the element PolicySetIdReference.
`static final QName`
`POLICY_SET_ID_REFERENCE_ELEMENT_NAME`
QName of the element PolicySetIdReference.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.
`static final String`
`VERSION_ATTRIB_NAME`
Version attribute name.

### Fields inherited from interface org.opensaml.core.xml.schema.XSString

`TYPE_LOCAL_NAME, TYPE_NAME`

## Method Summary

Modifier and Type
Method
Description
`String`
`getEarliestVersion()`
Gets the earliest version of the reference.
`String`
`getLatestVersion()`
Gets the latest version of the reference.
`String`
`getVersion()`
Gets the version of the reference.
`void`
`setEarliestVersion(String version)`
Sets the earliest version of the reference.
`void`
`setLatestVersion(String version)`
Sets the latest version of the reference.
`void`
`setVersion(String version)`
Sets the version of the reference.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSString

`getValue, setValue`

## Field Details

### POLICY_SET_ID_REFERENCE_ELEMENT_LOCAL_NAME

static final String POLICY_SET_ID_REFERENCE_ELEMENT_LOCAL_NAME
Local name of the element PolicySetIdReference.

See Also:
  - Constant Field Values

### POLICY_SET_ID_REFERENCE_ELEMENT_NAME

static final QName POLICY_SET_ID_REFERENCE_ELEMENT_NAME
QName of the element PolicySetIdReference.

### POLICY_ID_REFERENCE_ELEMENT_LOCAL_NAME

static final String POLICY_ID_REFERENCE_ELEMENT_LOCAL_NAME
Local name of the element PolicyIdReference.

See Also:
  - Constant Field Values

### POLICY_ID_REFERENCE_ELEMENT_NAME

static final QName POLICY_ID_REFERENCE_ELEMENT_NAME
QName of the element PolicyIdReference.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.

### VERSION_ATTRIB_NAME

static final String VERSION_ATTRIB_NAME
Version attribute name.

See Also:
  - Constant Field Values

### EARLIEST_VERSION_ATTRIB_NAME

static final String EARLIEST_VERSION_ATTRIB_NAME
EarliestVersion attribute name.

See Also:
  - Constant Field Values

### LATEST_VERSION_ATTRIB_NAME

static final String LATEST_VERSION_ATTRIB_NAME
LatestVersion attribute name.

See Also:
  - Constant Field Values

## Method Details

### getVersion

String getVersion()
Gets the version of the reference.

Returns:
  version of the reference

### setVersion

void setVersion(String version)
Sets the version of the reference.

Parameters:
  `version` - version of the reference

### getEarliestVersion

String getEarliestVersion()
Gets the earliest version of the reference.

Returns:
  earliest version of the reference

### setEarliestVersion

void setEarliestVersion(String version)
Sets the earliest version of the reference.

Parameters:
  `version` - earliest version of the reference

### getLatestVersion

String getLatestVersion()
Gets the latest version of the reference.

Returns:
  latest version of the reference

### setLatestVersion

void setLatestVersion(String version)
Sets the latest version of the reference.

Parameters:
  `version` - latest version of the reference